restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

RemoveShopItem |WebMethod|

Removes Shop item from Tradera system. This is an asynchronous call, the method GetRequestResults needs to be called to verify that the shop item was successfully removed. What this method actually does is to set the DeactivateDate to the current time. Another way of making the item not appear in searches and browsing is to set its quantity to 0. Another way to hide ShopItems from users is to set their quantity to 0 using SetQuantityOnShopitems. This can be done for many items at once. N.B. Do not use this method for an item that has an ActivateDate (StartDate) that is in the future.

Parameters
  1. shopItemId, The id of Shop item to be removed.
Returns

Response data (QueuedRequestResponse) with request id and item id. The item id is the id of the item that was sent in to be removed from Tradera system. The request id is the identifier of the current request and is used together with API metthod GetRequestResults to get final result of this call.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/RemoveShopItem"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <RemoveShopItem xmlns="http://api.tradera.com">
      <shopItemId>shopItemId</shopItemId>
    </RemoveShopItem>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <RemoveShopItemResponse xmlns="http://api.tradera.com">
      <RemoveShopItemResult>Response data (QueuedRequestResponse) with request id and item id. The item id is the id of the item that was sent in to be removed from Tradera system. The request id
            is the identifier of the current request and is used together with API metthod GetRequestResults to get final result of this call.</RemoveShopItemResult>
    </RemoveShopItemResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <RemoveShopItem xmlns="http://api.tradera.com">
      <shopItemId>shopItemId</shopItemId>
    </RemoveShopItem>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <RemoveShopItemResponse xmlns="http://api.tradera.com">
      <RemoveShopItemResult>Response data (QueuedRequestResponse) with request id and item id. The item id is the id of the item that was sent in to be removed from Tradera system. The request id
            is the identifier of the current request and is used together with API metthod GetRequestResults to get final result of this call.</RemoveShopItemResult>
    </RemoveShopItemResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/RemoveShopItem?appId=string&appKey=string&shopItemId=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<RemoveShopItemResult xmlns="http://api.tradera.com">Response data (QueuedRequestResponse) with request id and item id. The item id is the id of the item that was sent in to be removed from Tradera system. The request id
            is the identifier of the current request and is used together with API metthod GetRequestResults to get final result of this call.</RemoveShopItemResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/RemoveShopItem HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&shopItemId=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<RemoveShopItemResult xmlns="http://api.tradera.com">Response data (QueuedRequestResponse) with request id and item id. The item id is the id of the item that was sent in to be removed from Tradera system. The request id
            is the identifier of the current request and is used together with API metthod GetRequestResults to get final result of this call.</RemoveShopItemResult>